### Signal

# RB Player::event

#### Declaration

    void
    event (
      RBPlayer* self,
      gpointer stream_data,
      gpointer data,
      gpointer user_data
    )

#### Description [src]

The ‘event’ signal provides a means for custom GStreamer elements to communicate events back to the rest of the application. The GStreamer element posts an application message on the GStreamer bus, which is translated into an event signal with the detail of the signal set to the name of the structure found in the message.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`stream_data`

  Type: `gpointer`

  Data associated with the stream.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Event data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.